Needs to be updated for Firefox 3.1 Beta 3 Rated 4 out of 5 stars

Needs to be updated for Firefox 3.1 Beta 3, I'm lost without it.